/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.client;

import java.io.Writer;
import java.io.IOException;

/**
  Erzeugt den String, der bei einer einfachen Suche an den Server gesendet wird
*/
public class SimpleQueryGenerator extends QueryGenerator
{
  protected String _data=null;
  
  public SimpleQueryGenerator(String data)
  {
    _data=data;
  }
  
  public void init()
  {
  }
  
  public void writeQuery(Writer writer) throws IOException
  {
    writeTrailer(writer);
    writeLimits(writer);

    writer.write("<simple>\n");
    writer.write(_data);
    writer.write("\n");
    writer.write("</simple>\n");
    
    writeFooter(writer);
    
    writer.flush();
  }
}