/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.server.broker;


import de.hendriklipka.ldse.server.data.document.TripletList;
import de.hendriklipka.ldse.server.query.QueryProcessor;
import de.hendriklipka.ldse.server.query.QueryLimits;
import de.hendriklipka.ldse.common.Log;

public class BrokerQuery
{
  protected String _query=null;
  protected QueryProcessor _processor=null;
  protected TripletList _triplets;
  protected QueryLimits _limits=null;
  
  public BrokerQuery(String query, QueryProcessor processor, TripletList triplets, QueryLimits limits)
  {
    _query=query;
    _processor=processor;
    _triplets=triplets;
  }
  
  public QueryProcessor getQueryProcessor()
  {
    return _processor;
  }
  
  public QueryLimits getLimits()
  {
    return _limits;
  }
  
  public TripletList getTriplets()
  {
    return _triplets;
  }
  
  public String getQuery()
  {
    return _query;
  }
}