/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.server.dataserver;

import java.sql.*;
import java.util.*;
import java.io.IOException;
import java.io.PrintWriter;
import org.w3c.dom.*;
import de.hendriklipka.ldse.common.*;
import de.hendriklipka.ldse.server.data.document.*;
import de.hendriklipka.ldse.server.data.server.*;

public interface DBConnection extends de.hendriklipka.ldse.common.Updateable,
                                     de.hendriklipka.ldse.common.StatisticWriter
{
    public void initDataBase(String driverclass,String url,String user,
                             String pwd);
                             
    public boolean existDocument(String name);
    public String unmarkDocument(String name);
    public String putDocument(String name,DocumentDescriptor dd,
                              WordDocument[] words);
    public DocumentDescriptor getDocumentDescriptor(String name);
    public DocumentDescriptor getDocumentDescriptor(int id);
    public int getTripletCount(int tripletNum);
    public String delete(String name);
    public String[] getAllForSpider(int id);
    public String markSpider(int id);
    public String sweepSpider(int id);
    public DocumentDescriptor[] queryDocuments(TripletList have,
                                               TripletList info);
    public int[] getSubServers();
    public String putServerDescriptor(ServerDescriptor sd);
    public ServerDescriptor getServerDescriptor(int id);
    public ServerDescriptor createLocalServerDescriptor(int id,String name,
            int port);
    public ServerDescriptor createServerDescriptor(int id,String name,
            int port);
    public ServerDescriptor[] queryServers(TripletList have);
    public WordData[] getWordsForTriplets(TripletList list);
    public void fillWordData(WordData wordData);
    public String deleteSpider(int id);
    public String deleteSubServer(String name);
    public String deleteSubServer(int id);
    public String shutdown();
    public String cleanDatabase();
    public void update(Node configNode);
    public void writeStatistic(PrintWriter pw) throws IOException;
}
